WESNOTHD(6)

NAME
wesnothd - Battle for Wesnoth multiplayer network daemon

SYNOPSIS
wesnothd [-dvV] [-c path] [-p port] [-t number]

DESCRIPTION
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client or the socket.

OPTIONS

-c, --config path
    tells wesnothd where to find the config file to use. See the section SERVER CONFIG below for the syntax.

-d, --daemon
    runs wesnothd as a daemon.

-h, --help
    tells you what the command line options do.

-p, --port port
    binds the server to the specified port. If no port is specified, port 15000 will be used.

-t, --threads number
    sets the number of worker threads for network I/O to n (default: 5, max: 30).

-V, --version
    shows version number and exits.

-v, --verbose
    turns on more verbose logging.

SERVER CONFIG

  The general syntax is:

[tag]

    key="value"

    key="value,value,..."

[/tag]

  Global keys:

connections_allowed
    The number of allowed connections from the same IP.

disallow_names
    Names/nicks that are not accepted by the server. `*' and `?' from wildcard patterns are supported. See glob(7) for more details. Default values (used if nothing is specified) are: `server,ai,player,network,human,admin,computer'.

max_messages
    The number of allowed messages in messages_time_period.

messages_time_period
    The time period (in seconds) message flooding is detected in.

motd
    The message of the day.

passwd
    The password used to gain admin privileges. Usually it starts with "admin ".

versions_accepted
    A comma separated list of version strings to be accepted by the server. `*' and `?' from wildcard patterns are supported.
    Example: versions_accepted="*" accepts any version string.

  Global tags:

[redirect] A tag to specify a server to redirect certain client versions to.

    host
        The address of the server to redirect to.

    port
        The port to connect to.

    version
        A comma separated list of versions to redirect. Behaves the same way as versions_accepted in regard to wildcard patterns.

[proxy] A tag to tell the server to act as a proxy and forward the connected client's requests to the specified server. Accepts the same keys as [redirect].

AUTHOR
Written by David White <davidnwhite@verizon.net>. Edited by Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> and Soliton <soliton@sonnenkinder.org>. This manual page was originally written by Cyril Bouthors <cyril@bouthors.org>.
Visit the official homepage: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wesnoth(6), wesnoth_editor(6)